RPC.LOCKD(8)

NAME
rpc.lockd - NFS file locking daemon

SYNOPSIS
rpc.lockd [-d [debug_level]] [-g grace_period]

DESCRIPTION
rpc.lockd is a daemon which provides file- and record-locking services in an NFS environment.

The options are as follows:

-d [debug_level]
    Write debugging information to syslog, recording all RPC transactions to the daemon. These messages are logged with level LOG_DEBUG and facility LOG_DAEMON. If debug_level is not specified, level 1 is assumed, giving one log line per protocol operation. Higher debug levels can be specified, causing display of operation arguments and internal operations of the daemon.

-g grace_period
    Specify the grace period, in seconds. During the grace period rpc.lockd only accepts requests from hosts which are reinitialising locks which existed before the server restart. The default is 30 seconds.

Error conditions are logged to syslog, irrespective of the debug level, using log level LOG_ERR and facility LOG_DAEMON.

The rpc.lockd daemon must NOT be invoked by inetd(8) because the protocol assumes that the daemon will run from system start time. Instead, it should be run from rc(8) after the network has been started.

FILES
/usr/include/rpcsvc/nlm_prot.x
    RPC protocol specification for the network lock manager protocol.

SEE ALSO
syslog(3), rc(8)

STANDARDS
The implementation is based on the specification in X/Open CAE Specification C218, "Protocols for X/Open PC Interworking: XNFS, Issue 4", ISBN 1 872630 66 9

BUGS
The current implementation provides only the server side of the protocol (i.e., clients running other OS types can establish locks on an OpenBSD fileserver, but there is currently no means for an OpenBSD client to establish locks).

The current implementation serialises lock requests that could be shared.